LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices

Reply
 
Search this Thread
Old 09-06-2006, 09:54 AM   #1
Yury
LQ Newbie
 
Registered: Aug 2006
Location: Ukraine
Distribution: Debian Etch
Posts: 15

Rep: Reputation: 0
Unhappy Trying to compile kde 3.4.2 on Etch. Problem: kde-config program not found


Firstly i have compiled and installed kdelibs.
Then i tried to compile kdebase package. But ./configure script stops on error saying that the important program kde-config is not found.
This is not caused by wrong setting for any environment variables because kde-config does not really exists in /usr/bin (prefix for kdelibs is set to /usr).
Unfortunately i'me now on another machine and have not access to the linux box, this is why i do not post here any logs

Will be very thankful for any good ideas

Last edited by Yury; 09-06-2006 at 09:55 AM.
 
Old 09-06-2006, 10:44 AM   #2
HappyTux
Senior Member
 
Registered: Mar 2003
Location: Nova Scotia, Canada
Distribution: Debian AMD64
Posts: 3,513

Rep: Reputation: 64
Quote:
Originally Posted by Yury
Firstly i have compiled and installed kdelibs.
Then i tried to compile kdebase package. But ./configure script stops on error saying that the important program kde-config is not found.
This is not caused by wrong setting for any environment variables because kde-config does not really exists in /usr/bin (prefix for kdelibs is set to /usr).
Unfortunately i'me now on another machine and have not access to the linux box, this is why i do not post here any logs

Will be very thankful for any good ideas
Code:
>$ apt-file search kde-config
kdelibs-dbg: usr/lib/debug/usr/bin/kde-config
kdelibs4c2a: usr/bin/kde-config
kdelibs4c2a: usr/share/man/man1/kde-config.1.gz
kdevelop-data: usr/share/apps/kdevappwizard/template-common/kde-configure.in.in
So I would need kdelibs4c2a you should install apt-file yourself then run apt-file update as root once done you can run the apt-file search file/missing.? to see which package it is in and install. Sometimes even with it installed a program will need to use this for a configure command to install properly.

Code:
./configure --prefix=`kde-config --prefix`
 
Old 10-03-2007, 12:46 AM   #3
cyberdude
LQ Newbie
 
Registered: Sep 2007
Posts: 5

Rep: Reputation: 0
Quote:
Originally Posted by HappyTux View Post
Code:
>$ apt-file search kde-config
kdelibs-dbg: usr/lib/debug/usr/bin/kde-config
kdelibs4c2a: usr/bin/kde-config
kdelibs4c2a: usr/share/man/man1/kde-config.1.gz
kdevelop-data: usr/share/apps/kdevappwizard/template-common/kde-configure.in.in
So I would need kdelibs4c2a you should install apt-file yourself then run apt-file update as root once done you can run the apt-file search file/missing.? to see which package it is in and install. Sometimes even with it installed a program will need to use this for a configure command to install properly.

Code:
./configure --prefix=`kde-config --prefix`


What are you talkinman? i also have same problem, can you explain step by step ???
 
Old 10-03-2007, 01:31 AM   #4
HappyTux
Senior Member
 
Registered: Mar 2003
Location: Nova Scotia, Canada
Distribution: Debian AMD64
Posts: 3,513

Rep: Reputation: 64
Quote:
Originally Posted by cyberdude View Post
What are you talkinman? i also have same problem, can you explain step by step ???
I thought I had but when compiling from source you need certain programs/libraries installed in this case the kde-config is needed so you have to install it I showed him how to find it on Debian plus an extra step that may possibly be needed if it still does not find it once this package is installed. This thread is rather old and not started by you, you should probably start your own new thread with a descriptive title putting in it the program(s) you are trying to compile, the distribution you are using, post the error you are getting and any steps you have taken to get it going so far.
 
Old 03-30-2010, 04:32 PM   #5
rushadrenaline
Member
 
Registered: Nov 2006
Location: Bangalore,New delhi
Distribution: RHEL5, Kubuntu, Mandriva 2008
Posts: 69

Rep: Reputation: 15
Lightbulb

Hi there .Today i found this thread while having the same kde-config problem while trying to compile amarok 1.4.10 on mandriva 2010.
I found that inside my /usr/bin i had kde4-config, whereas amarok 1.4.10 was looking for just kde-config. So i just made a symlink named 'kde-config' in /usr/bin as :--
ln -sv /usr/bin/kde4-config /usr/bin/kde-config

And the error was fixed
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Etch KDE 3.5.3 CUPS max_mad Debian 2 08-19-2006 09:16 AM
KDE 3.5.3 problem, amarok, compile program tdl1234 Slackware 7 07-21-2006 02:15 PM
cups broken in kde? Using Etch mohtech Debian 3 07-09-2006 10:54 PM
Has the KDE 3.4 upgrade in Etch broken anything for you? vharishankar Debian 12 12-15-2005 08:33 PM
how to type this long command to compile a kde program? parv Programming 6 09-16-2004 05:00 PM


All times are GMT -5. The time now is 07:06 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration